<?php defined('BASEPATH') or exit('No direct script access allowed');
class Migrate extends CI_Controller
{
    public function index()
    {
        $this->load->library('migration');
        if ($this->migration->latest() === FALSE) {
            echo json_encode(
                array(
                    'error' => $this->migration->error_string(),
                    'last' => $this->migration->latest(),
                    'current' => $this->migration->current(),

                ),
                JSON_UNESCAPED_UNICODE
            );
        } else {
            // return find_migrations()
            $li = $this->migration->find_migrations();
            echo json_encode(
                array(
                    'success' => 'Migration worked!',
                    'LIst' => $li,
                ),
                JSON_UNESCAPED_UNICODE
            );
        }
    }

}