<?php
defined('BASEPATH') or exit('No direct script access allowed');

class TodayReports extends CI_Controller
{

    function __construct()
    {
        parent::__construct();
        $this->load->model('TodayReportsModel');
        $this->load->library('Middleware');
    }

    public function index()
    {
    }

    public function tasks()
    {
        $tasks = $this->TodayReportsModel->tasks();
        echo json_encode(
            array(
                'status' => 200,
                'message' => 'تم بنجاح',
                'isAuth' => true,
                'data' => $tasks
            ),
            JSON_UNESCAPED_UNICODE
        );
        exit();
    }

    public function vacations()
    {
        $vacations = $this->TodayReportsModel->vacations();
        echo json_encode(
            array(
                'status' => 200,
                'message' => 'تم بنجاح',
                'isAuth' => true,
                'data' => $vacations
            ),
            JSON_UNESCAPED_UNICODE
        );
        exit();
    }

}