<?php
defined('BASEPATH') or exit('No direct script access allowed');

class Migration_Add_timestamps_to_project_table extends CI_Migration
{

    public function up()
    {
        $this->dbforge->add_column('project', array(
            'created_at' => array(
                'type' => 'TIMESTAMP'
            ),
            'updated_at' => array(
                'type' => 'TIMESTAMP'
            )
        ));
    }

    public function down()
    {
        $this->dbforge->drop_column('project', 'created_at');
        $this->dbforge->drop_column('project', 'updated_at');
    }
}