<?php
defined('BASEPATH') or exit('No direct script access allowed');

class Groups extends CI_Controller
{

    function __construct()
    {
        parent::__construct();
        $this->load->model('GroupsModel');
        $this->load->model('UserModel');
        $this->load->library('Middleware');
    }

    public function index()
    {
    }

    // get all Groups
    public function getGroups()
    {
        $token = $this->tokenmiddleware->main();
        $this->UserModel->checkPermission();
        $user = $this->jwtmiddleware->decode($token);

        $Groups = $this->GroupsModel->getGroups();
        echo json_encode(
            array(
                'status' => 200,
                'message' => 'عرض كل الموظفين',
                'token' => $token,
                'data' => $Groups,
                'isAuth' => true,
                'total' => $this->GroupsModel->count_records()
            ),
            JSON_UNESCAPED_UNICODE
        );
        exit();
    }
}