<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class UserController extends CI_Controller {

    public function __construct()
    {
        parent::__construct();
        // Load the user model
        $this->load->model('UserModel');
    }

    public function getAllUsers()
    {
        // Call the model to fetch all users
        $users = $this->UserModel->getAllUsers();

        // Return the data as JSON
        $this->output
            ->set_content_type('application/json')
            ->set_output(json_encode($users));
    }
}
