<?php

class NotificationPayrollModel extends CI_Model
{

    public function __construct()
    {
        parent::__construct();
        $this->load->database();
    }

    // approved = 1 send message else don't send
    public function insertNotPayroll($data , $approvedBoolean, $message)
    {
        if($approvedBoolean == "1") {
            $notData = array('user_hash' => $data->emp_id,     
            'message' => $message,
            'from_month' =>$data->from, 
            'to_month' => $data->to, 
            'salary' => $data->flat_salary
        );
            return $this->db->insert("notifications_payroll", $notData);
        }
    }

    public function getNotificationPayrollByUserHash($hash) {
        $this->db->select('*')->from('notifications_payroll')->where('user_hash', $hash)->order_by("id" , "desc");
    
        $data = $this->db->get()->result_array();
        
        $count = count($data);
        
        return ['data' => $data, 'count' => $count];
    
    }
}